Page MenuHomePhabricator

Add support for the wikidata's Sparql queries to graphs
Closed, ResolvedPublic

Description

Support sparql queries from wikidata.

The wikidatasparql:///?query=<sparql> will be allowed in graph's external data urls.

Event Timeline

Yurik created this task.Feb 12 2016, 2:55 PM
Yurik claimed this task.
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added subscribers: Yurik, aude, Smalyshev.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 12 2016, 2:55 PM
Yurik added a comment.Feb 12 2016, 2:56 PM

This has been implemented but not deployed. See demo at http://en.wikipedia.beta.wmflabs.org/wiki/Sparql

Yurik set Security to None.
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptFeb 12 2016, 4:23 PM

This is the same thing as these, right? Does this task need updating?

Side note: Is anyone else getting a little concerned that Graphs are racing ahead of the rest of Mediawiki? Graphs being able to directly access the API and Wikidata query results... We can't even do those things from Lua or templates yet. At this rate, people are going to start writing Vega blocks to just show bits of plain text pretty soon. I don't mean to complain about these great new features, but this is probably going to result in some weird hacks being thrown around.

One thing I think that Graphs have and Lua does not (AFAIK) is intermediate caching layer (one that caches the actual picture). That's why I'm kind of OK with enabling it first. If we want it in Lua, then we should figure out T126730 first. That said, I'm all for going with it.

Is anyone else getting a little concerned that Graphs are racing ahead of the rest of Mediawiki? Graphs being able to directly access the API and Wikidata query results... We can't even do those things from Lua or templates yet. At this rate, people are going to start writing Vega blocks to just show bits of plain text pretty soon.

I am getting a little concerned too. Experience suggests that new features are often exploited in unexpected ways ;-)

Change 284091 had a related patch set uploaded (by Yurik):
Revert "Don't yet allow wikidatasparql graph urls"

https://gerrit.wikimedia.org/r/284091

Change 284091 merged by jenkins-bot:
Revert "Don't yet allow wikidatasparql graph urls"

https://gerrit.wikimedia.org/r/284091

Mentioned in SAL [2016-05-03T23:08:21Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Revert Don't yet allow wikidatasparql graph urls (T126741) (duration: 00m 26s)

@Yurik isn't this done?

Yurik closed this task as Resolved.May 13 2016, 10:11 PM

yep